from pydantic import BaseModel
from typing import Any, List, Optional

class Event(BaseModel):
    type: str
    time: int            # unix timestamp
    serverId: str
    data: Optional[dict] = {}

class BatchEvents(BaseModel):
    events: List[Event]